//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 01:16:10 PM CEST 
//


package net.ihe.gazelle.goc.uml;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the uml package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlRegistry
public class ObjectFactory {

    private static final String UML2_NAMESPACE = "http://www.eclipse.org/uml2/3.0.0/UML";
	private static final QName ModelElementImport_QNAME = new QName(UML2_NAMESPACE, "elementImport");
    private static final QName ModelPackagedElement_QNAME = new QName(UML2_NAMESPACE, "packagedElement");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: uml
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.uml.Model}
     *
     * @return a {@link net.ihe.gazelle.goc.uml.Model} object.
     */
    public Model createModel() {
        return new Model();
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.Object}{@code >}}
     *
     * @param value a {@link java.lang.Object} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = UML2_NAMESPACE, name = "elementImport", scope = Model.class)
    public JAXBElement<Object> createModelElementImport(Object value) {
        return new JAXBElement<>(ModelElementImport_QNAME, Object.class, Model.class, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.Object}{@code >}}
     *
     * @param value a {@link java.lang.Object} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = UML2_NAMESPACE, name = "packagedElement", scope = Model.class)
    public JAXBElement<Object> createModelPackagedElement(Object value) {
        return new JAXBElement<>(ModelPackagedElement_QNAME, Object.class, Model.class, value);
    }

}
